<div class="contextMenu">
    <a class="contextMenu__toggler" href="javascript:void(0)" @blur="hideMenu" @click.prevent="toggleMenu"><i class="icon-menu"></i></a>
    <ul class="contextMenu__menu" v-show="showMenu" transition="scale">
        <li class="contextMenu__menu__item" :class="{ 'contextMenu__menu__item--checked': action.checked(target), 'contextMenu__menu__item--checkable': action.checkable }" v-for="action in actions">
            <a href="#" @click.prevent="handleAction(action.action)">{{ action.name }}</a>
        </li>
    </ul>
</div>
